Subject: [PATCH 04/32] dmaengine: ste_dma40: Amalgamate DMA source and destination channel numbers

From: [email-masked] (Arnd Bergmann)
Date: Thu, 25 Apr 2013 10:36:52 +0200

On Thursday 25 April 2013, Linus Walleij wrote:
> Are we now sacrificing that ability on the altar of simplification?
> 
> I actually think not, but that we should do periph-to-periph transfers
> in some other way, and that the .dir attribute should go away from
> the struct stedma40_chan_cfg as well but I'm not entirely sure.
> Someone else?

The dma-engine core has no support for device-to-device transfers,
and as far as I understand that is neither considered a useful
feature in real life, nor easy to add, so I don't think it matters
much here.

	Arnd